Lists webhooks
curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/webhooks \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/webhooks"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"url": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"events": [
"JOB_STATUS_CHANGED"
],
"failedAttempts": 123,
"hidden": true,
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"lastModifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"name": "<string>",
"secretToken": "<string>",
"secretTokenType": "X_MEMSOURCE_TOKEN",
"status": "ENABLED",
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Webhook
Lists webhooks
GET
/
api2
/
v2
/
webhooks
Lists webhooks
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Filter by webhook name
Filter by enabled/disabled status
Available options:
ENABLED, DISABLED Filter by webhook URL
Filter by webhook events, any match is included
Available options:
JOB_STATUS_CHANGED, JOB_CREATED, JOB_DELETED, JOB_UNSHARED, JOB_ASSIGNED, JOB_DUE_DATE_CHANGED, JOB_UPDATED, JOB_TARGET_UPDATED, JOB_EXPORTED, JOB_UNEXPORTED, JOB_AUTO_LQA_FINISHED, JOB_METADATA_UPDATED, JOB_CUSTOM_FIELDS_UPDATED, PROJECT_CREATED, PROJECT_DELETED, PROJECT_UNSHARED, PROJECT_STATUS_CHANGED, PROJECT_DUE_DATE_CHANGED, SHARED_PROJECT_ASSIGNED, PROJECT_METADATA_UPDATED, PRE_TRANSLATION_FINISHED, ANALYSIS_CREATED, CONTINUOUS_JOB_UPDATED, PROJECT_TEMPLATE_CREATED, PROJECT_TEMPLATE_UPDATED, PROJECT_TEMPLATE_DELETED, RAW_MT_CONVERTER_IMPORT_FINISHED, RAW_MT_PRE_TRANSLATION_FINISHED, RAW_MT_QUALITY_ESTIMATION_FINISHED, TERM_BASE_TERM_CREATED, TERM_BASE_TERM_UPDATED, TERM_BASE_TERM_DELETED, TERM_BASE_CONCEPT_CREATED, TERM_BASE_CONCEPT_UPDATED, TERM_BASE_CONCEPT_DELETED, TERM_BASE_IMPORTED Filter by webhook creators UIDs
Filter by webhook updaters UIDs
Sort by this field
Available options:
NAME, STATUS, CREATED, LAST_MODIFIED Sort direction
Available options:
ASC, DESC Was this page helpful?